gui_mouse_x(3)

NAME
gui_mouse_x, gui_mouse_y, gui_mouse_z, gui_mouse_b

SYNOPSIS
#include <allegro.h>

extern int (*gui_mouse_x)(); extern int (*gui_mouse_y)(); extern int (*gui_mouse_z)(); extern int (*gui_mouse_b)();

DESCRIPTION
Hook functions, used by the GUI routines whenever they need to access the mouse state. By default these just return copies of the mouse_x, mouse_y, mouse_z, and mouse_b variables, but they could be used to offset or scale the mouse position, or read input from a different source entirely.